# Get the calculated forecast for a forecast variable, ignoring forecast events

Getting the calculated forecast for the given forecast variable. The range between these two dates can not exceed 120 days. Forecast events are NOT taken into consideration.

Endpoint: GET /v2/forecasts/forecast-variables/{externalForecastVariableId}/calculated-forecast
Version: v2
Security: OAuth2ClientCredentials

## Security:

  - `OAuth2ClientCredentials` (unknown)
    oauth2 scopes: forecast:read

## Path parameters:

  - `externalForecastVariableId` (string, required)

## Query parameters:

  - `externalUnitId` (string, required)

  - `externalSectionId` (string)

  - `startTime` (string, required)

  - `endTime` (string, required)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (*/*):

  - `externalForecastConfigurationId` (string)
    Example: config-1

  - `externalUnitId` (string)
    Example: unit-1

  - `externalSectionId` (string)
    Example: section-1

  - `dataPayload` (array)

  - `dataPayload.data` (number)
    Example: 100

  - `dataPayload.editedData` (number)
    Example: 105

  - `dataPayload.startTime` (string)
    Example: 2026-01-15T12:00:00Z

  - `dataPayload.endTime` (string)
    Example: 2026-01-15T13:00:00Z

## Response 403:

  - `403` (unknown)
    Forbidden to perform this action

## Response 403 fields (*/*):

  - `externalForecastConfigurationId` (string)
    Example: config-1

  - `externalUnitId` (string)
    Example: unit-1

  - `externalSectionId` (string)
    Example: section-1

  - `dataPayload` (array)

  - `dataPayload.data` (number)
    Example: 100

  - `dataPayload.editedData` (number)
    Example: 105

  - `dataPayload.startTime` (string)
    Example: 2026-01-15T12:00:00Z

  - `dataPayload.endTime` (string)
    Example: 2026-01-15T13:00:00Z

